package com.ruoyi.business.domain.VO;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @ClassName : HwSceneVo
 * @Description :
 * @Author :
 * @Date: 2023-09-12 14:28
 */
public class HwSceneVo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 场景ID */
    private Long sceneId;

    /** 场景名称 */
    @Excel(name = "场景名称")
    private String sceneName;

    /** 租户ID，关联hw_tenant的tenant_id */
    @Excel(name = "租户ID，关联hw_tenant的tenant_id")
    private Long tenantId;

    private String tenantName;

    /** 场景类型，关联表hw_scene_mode的scene_mode_id */
    @Excel(name = "场景类型，关联表hw_scene_mode的scene_mode_id")
    private Long sceneModeId;

    private String sceneModeName;

    /** 场景图片地址 */
    @Excel(name = "场景图片地址")
    private String scenePic;

    /** 是否默认（1、正常 0、否） */
    @Excel(name = "是否默认", readConverterExp = "1=、正常,0=、否")
    private String defaultFlag;

    /** 状态（1、正常 9、删除） */
    @NotNull(message = "{user.login.username}")
    @Excel(name = "状态", readConverterExp = "1=、正常,9=、删除")
    private String sceneStatus;

    /** 认证方式（1、密钥认证） */
    @Excel(name = "认证方式", readConverterExp = "1=、密钥认证")
    private String authMode;

    /** 场景账号（暂时不用） */
    @Excel(name = "场景账号", readConverterExp = "暂=时不用")
    private String modeAccount;

    /** 场景key（一场景一密） */
    @Excel(name = "场景key", readConverterExp = "一=场景一密")
    private String modeKey;

    /** 场景secret */
    @Excel(name = "场景secret")
    private String modeSecret;

    /** 保存周期(单位：天）默认90天 */
    @Excel(name = "保存周期(单位：天）默认90天")
    private BigDecimal preserveTime;

    /** 测试环境保存周期(单位：天）默认30天 */
    @Excel(name = "测试环境保存周期(单位：天）默认30天")
    private BigDecimal testPreserveTime;

    /** 预留字段，租户环境（0：测试环境，1：正式环境） */
    @Excel(name = "预留字段，租户环境", readConverterExp = "0=：测试环境，1：正式环境")
    private String sceneEnvironment;

    /** 预留字段 */
    @Excel(name = "预留字段")
    private String sceneField;

    private String contactName;

    private String contactPhone;

    public Long getSceneId() {
        return sceneId;
    }

    public void setSceneId(Long sceneId) {
        this.sceneId = sceneId;
    }

    public String getSceneName() {
        return sceneName;
    }

    public void setSceneName(String sceneName) {
        this.sceneName = sceneName;
    }

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    public String getTenantName() {
        return tenantName;
    }

    public void setTenantName(String tenantName) {
        this.tenantName = tenantName;
    }

    public Long getSceneModeId() {
        return sceneModeId;
    }

    public void setSceneModeId(Long sceneModeId) {
        this.sceneModeId = sceneModeId;
    }

    public String getSceneModeName() {
        return sceneModeName;
    }

    public void setSceneModeName(String sceneModeName) {
        this.sceneModeName = sceneModeName;
    }

    public String getScenePic() {
        return scenePic;
    }

    public void setScenePic(String scenePic) {
        this.scenePic = scenePic;
    }

    public String getDefaultFlag() {
        return defaultFlag;
    }

    public void setDefaultFlag(String defaultFlag) {
        this.defaultFlag = defaultFlag;
    }

    public String getSceneStatus() {
        return sceneStatus;
    }

    public void setSceneStatus(String sceneStatus) {
        this.sceneStatus = sceneStatus;
    }

    public String getAuthMode() {
        return authMode;
    }

    public void setAuthMode(String authMode) {
        this.authMode = authMode;
    }

    public String getModeAccount() {
        return modeAccount;
    }

    public void setModeAccount(String modeAccount) {
        this.modeAccount = modeAccount;
    }

    public String getModeKey() {
        return modeKey;
    }

    public void setModeKey(String modeKey) {
        this.modeKey = modeKey;
    }

    public String getModeSecret() {
        return modeSecret;
    }

    public void setModeSecret(String modeSecret) {
        this.modeSecret = modeSecret;
    }

    public BigDecimal getPreserveTime() {
        return preserveTime;
    }

    public void setPreserveTime(BigDecimal preserveTime) {
        this.preserveTime = preserveTime;
    }

    public BigDecimal getTestPreserveTime() {
        return testPreserveTime;
    }

    public void setTestPreserveTime(BigDecimal testPreserveTime) {
        this.testPreserveTime = testPreserveTime;
    }

    public String getSceneEnvironment() {
        return sceneEnvironment;
    }

    public void setSceneEnvironment(String sceneEnvironment) {
        this.sceneEnvironment = sceneEnvironment;
    }

    public String getSceneField() {
        return sceneField;
    }

    public void setSceneField(String sceneField) {
        this.sceneField = sceneField;
    }

    @Override
    public String toString() {
        return "HwSceneVo{" +
                "sceneId=" + sceneId +
                ", sceneName='" + sceneName + '\'' +
                ", tenantId=" + tenantId +
                ", tenantName='" + tenantName + '\'' +
                ", sceneModeId=" + sceneModeId +
                ", sceneModeName='" + sceneModeName + '\'' +
                ", scenePic='" + scenePic + '\'' +
                ", defaultFlag='" + defaultFlag + '\'' +
                ", sceneStatus='" + sceneStatus + '\'' +
                ", authMode='" + authMode + '\'' +
                ", modeAccount='" + modeAccount + '\'' +
                ", modeKey='" + modeKey + '\'' +
                ", modeSecret='" + modeSecret + '\'' +
                ", preserveTime=" + preserveTime +
                ", testPreserveTime=" + testPreserveTime +
                ", sceneEnvironment='" + sceneEnvironment + '\'' +
                ", sceneField='" + sceneField + '\'' +
                '}';
    }
}
